# Microeconometrics
# Workbook 5b
# Endogeneity
# Name:

rm(list=ls())
setwd("C:\\Users\\budzi\\Documents\\ME QPE\\2023\\Class 5")  
wage <- read_excel("wage.xls")

# Description
# wage - hourly wage in cents
# lwage - log(wage)
# educ - years of schooling
# reg661 etc. - dummies for different regions
# south, south66 - = 1 if respondent from south (in 1976 or 1966)
# smsa, smsa66 - = 1 if respondent lives in the city (in 1976 or 1966)
# black - = 1 if respondent is black
# married = 1 if respondent is married
# exper - experience (age-educ-6)

# fatheduc - father's years of schooling
# motheduc - mother's years of schooling
# nearc2 - = 1 if respondent lived near 2-year college
# nearc4 - = 1 if respondent lived near 4 -year college 


## Exercise 1: Estimate wage equation to find relationship between wages and education

# 1.1 Get rid of missings observation from the data


# 1.2 Estimate OLS with lwage being a dependent variable (dont use variables fatheduc, motheduc, nearc2, nearc4) 


# 1.3 Estimate two 2SLS models in which educ is endogeneous. Use either fatheduc, motheduc as instruments or nearc2, nearc4
# Comment on whether results differ from OLS


# 1.4 Check using Hausman and Wu-Hausman tests whether the estimated models indicate endogeneity of education


# 1.5 Use Sargan test to check whether instruments are valid and then check whether instruments are weak


# 1.6 Compare estimates from 2SLS models with estimates from LIML and Fuller's LIML 

